打印

CPAN 安装 MooX::late 出错,请问怎么解决?

CPAN 安装 MooX::late 出错,请问怎么解决?

我连看都看不明白,真不知道怎么解决,先谢过了。

cpan[2]> install MooX::late
Reading '/root/.cpan/Metadata'
  Database was generated on Fri, 16 Mar 2018 07:41:03 GMT
Running install for module 'MooX::late'
CPAN: Digest::SHA loaded ok (v6.01)
CPAN: Compress::Zlib loaded ok (v2.074)
Checksum for /root/.cpan/sources/authors/id/T/TO/TOBYINK/MooX-late-0.015.tar.gz ok
Scanning cache /root/.cpan/build for sizes
............................................................................DONE
CPAN: Archive::Tar loaded ok (v2.26)
MooX-late-0.015/CONTRIBUTING
MooX-late-0.015/COPYRIGHT
MooX-late-0.015/CREDITS
MooX-late-0.015/Changes
MooX-late-0.015/INSTALL
MooX-late-0.015/LICENSE
MooX-late-0.015/MANIFEST
MooX-late-0.015/META.json
MooX-late-0.015/META.yml
MooX-late-0.015/Makefile.PL
MooX-late-0.015/README
MooX-late-0.015/SIGNATURE
MooX-late-0.015/TODO
MooX-late-0.015/dist.ini
MooX-late-0.015/doap.ttl
MooX-late-0.015/examples/simple.pl
MooX-late-0.015/t/01basic.t
MooX-late-0.015/t/02inflation.t
MooX-late-0.015/t/03invalid_tc.t
MooX-late-0.015/t/04arrayofattrs.t
MooX-late-0.015/t/05haveimissedanytypes.t
MooX-late-0.015/t/06handlesvia.t
MooX-late-0.015/t/07coerce1.t
MooX-late-0.015/t/08doesrole.t
MooX-late-0.015/lib/MooX/late.pm
CPAN: YAML loaded ok (v1.24)
CPAN: CPAN::Meta::Requirements loaded ok (v2.140)
CPAN: Parse::CPAN::Meta loaded ok (v2.150010)
CPAN: CPAN::Meta loaded ok (v2.150010)
CPAN: Module::CoreList loaded ok (v5.20180220)
Configuring T/TO/TOBYINK/MooX-late-0.015.tar.gz with Makefile.PL
Checking if your kit is complete...
Looks good
Generating a Unix-style Makefile
Writing Makefile for MooX::late
Writing MYMETA.yml and MYMETA.json
  TOBYINK/MooX-late-0.015.tar.gz
  /usr/bin/perl Makefile.PL INSTALLDIRS=site -- OK
Running make for T/TO/TOBYINK/MooX-late-0.015.tar.gz
cp lib/MooX/late.pm blib/lib/MooX/late.pm
Manifying 1 pod document
  TOBYINK/MooX-late-0.015.tar.gz
  /usr/bin/make -- OK
Running make test
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01basic.t ................ ok   
t/02inflation.t ............ ok   
t/03invalid_tc.t ........... 1/?
#   Failed test 'error message looks ok'
#   at t/03invalid_tc.t line 33.
#                   ''
#     doesn't match '(?-xism:^Unexpected tail on type expression:  Y Z)'
# Looks like you failed 1 test of 2.
t/03invalid_tc.t ........... Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/2 subtests

t/04arrayofattrs.t ......... ok   
t/05haveimissedanytypes.t .. ok   
t/06handlesvia.t ........... ok   
t/07coerce1.t .............. ok   
t/08doesrole.t ............. ok   

Test Summary Report
-------------------
t/03invalid_tc.t         (Wstat: 256 Tests: 2 Failed: 1)
  Failed test:  2
  Non-zero exit status: 1
Files=8, Tests=91,  1 wallclock secs ( 0.04 usr  0.02 sys +  0.96 cusr  0.10 csys =  1.12 CPU)
Result: FAIL
Failed 1/8 test programs. 1/91 subtests failed.
make: *** [test_dynamic] Error 255
  TOBYINK/MooX-late-0.015.tar.gz
  /usr/bin/make test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
  reports TOBYINK/MooX-late-0.015.tar.gz
Failed during this command:
TOBYINK/MooX-late-0.015.tar.gz               : make_test NO

TOP

用 force install 或 notest install 试试。不过这个一般发行版里都有吧,没必要手工装啊。

TOP